"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// packages/@code-like-a-carpenter/foundation-parser/src/config.ts
var config_exports = {};
__export(config_exports, {
  DispatcherConfigSchema: () => DispatcherConfigSchema,
  HandlerConfigSchema: () => HandlerConfigSchema,
  LambdaConfigSchema: () => LambdaConfigSchema,
  ParserConfigSchema: () => ParserConfigSchema
});
module.exports = __toCommonJS(config_exports);
var import_zod = require("zod");
var LambdaConfigSchema = import_zod.z.object({
  memorySize: import_zod.z.number().default(256),
  timeout: import_zod.z.number().default(30)
});
var DispatcherConfigSchema = LambdaConfigSchema.extend({
  batchSize: import_zod.z.number().default(10),
  maximumRetryAttempts: import_zod.z.number().default(3)
});
var HandlerConfigSchema = LambdaConfigSchema.extend({});
var ParserConfigSchema = import_zod.z.object({
  actionsModuleId: import_zod.z.string(),
  dependenciesModuleId: import_zod.z.string(),
  dispatcherDefaults: DispatcherConfigSchema.default({}),
  handlerDefaults: HandlerConfigSchema.default({}),
  lambdaDefaults: LambdaConfigSchema.default({}),
  tableDefaults: import_zod.z.object({ enablePointInTimeRecovery: import_zod.z.boolean().default(true) }).default({}),
  useEfficientIndexes: import_zod.z.boolean().default(true)
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  DispatcherConfigSchema,
  HandlerConfigSchema,
  LambdaConfigSchema,
  ParserConfigSchema
});
//# sourceMappingURL=config.cjs.map
