// packages/@code-like-a-carpenter/foundation-parser/src/config.ts
import { z } from "zod";
var LambdaConfigSchema = z.object({
  memorySize: z.number().default(256),
  timeout: z.number().default(30)
});
var DispatcherConfigSchema = LambdaConfigSchema.extend({
  batchSize: z.number().default(10),
  maximumRetryAttempts: z.number().default(3)
});
var HandlerConfigSchema = LambdaConfigSchema.extend({});
var ParserConfigSchema = z.object({
  actionsModuleId: z.string(),
  dependenciesModuleId: z.string(),
  dispatcherDefaults: DispatcherConfigSchema.default({}),
  handlerDefaults: HandlerConfigSchema.default({}),
  lambdaDefaults: LambdaConfigSchema.default({}),
  tableDefaults: z.object({ enablePointInTimeRecovery: z.boolean().default(true) }).default({}),
  useEfficientIndexes: z.boolean().default(true)
});
export {
  DispatcherConfigSchema,
  HandlerConfigSchema,
  LambdaConfigSchema,
  ParserConfigSchema
};
//# sourceMappingURL=config.mjs.map
